#pragma once
#include "DirectXFramework.h"
#include "SplitMeshNode.h"
#include "ObjectNode.h"
#include "SubMeshNode.h"

class ControlledSplitMeshNode : public SplitMeshNode, public ObjectNode
{
public:
	ControlledSplitMeshNode(wstring name, wstring modelName);

	void Update(FXMMATRIX& currentWorldTransformation);
	bool Initialise(void);

	XMMATRIX GetWorldTransformation() const;

private:
	
};

